Bug#371062: Bug#371060: libgcj7-dev

Michael Koch konqueror at gmx.de
Thu Jun 8 06:29:55 UTC 2006

On Thu, Jun 08, 2006 at 03:36:56PM +1000, Ben Burton wrote:
> > No, its enough to rebuild the package with the new gcc package pointing
> > to gcc-4.1 installed.
> Sure, but relying on (build-essential + libgcj-dev) assumes that the gcc
> and gcj versions will always be the same.  Past experience has suggested
> this is not the case, which is why I've leaned towards java-gcj-compat-dev
> instead.

IMO its now the best time to get rid of this package totally. Its not
needed anymore. GNU JAXP was merged into GNU classpath some time ago.
The only package depending on it is libjfreereport-java. I think we can
just remove the dependency there. sablevm and free-java-sdk recommend it
but this is not needed anymore too.

+1 for removing this package.

Any more opinions?

Escape the Java Trap with GNU Classpath!

Join the community at http://planet.classpath.org/

More information about the pkg-java-maintainers mailing list